"Fossies" - the Fresh Open Source Software Archive

Member "singular-4.2.1/doc/Makefile.in" (9 Jun 2021, 21254 Bytes) of package /linux/misc/singular-4.2.1.tar.gz:


As a special service "Fossies" has tried to format the requested text file into HTML format (style: standard) with prefixed line numbers. Alternatively you can here view or download the uninterpreted source code file. See also the latest Fossies "Diffs" side-by-side code changes report for "Makefile.in": 4.2.0p3_vs_4.2.1.

    1 # Makefile.in generated by automake 1.16.3 from Makefile.am.
    2 # @configure_input@
    3 
    4 # Copyright (C) 1994-2020 Free Software Foundation, Inc.
    5 
    6 # This Makefile.in is free software; the Free Software Foundation
    7 # gives unlimited permission to copy and/or distribute it,
    8 # with or without modifications, as long as this notice is preserved.
    9 
   10 # This program is distributed in the hope that it will be useful,
   11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
   12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
   13 # PARTICULAR PURPOSE.
   14 
   15 @SET_MAKE@
   16 VPATH = @srcdir@
   17 am__is_gnu_make = { \
   18   if test -z '$(MAKELEVEL)'; then \
   19     false; \
   20   elif test -n '$(MAKE_HOST)'; then \
   21     true; \
   22   elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
   23     true; \
   24   else \
   25     false; \
   26   fi; \
   27 }
   28 am__make_running_with_option = \
   29   case $${target_option-} in \
   30       ?) ;; \
   31       *) echo "am__make_running_with_option: internal error: invalid" \
   32               "target option '$${target_option-}' specified" >&2; \
   33          exit 1;; \
   34   esac; \
   35   has_opt=no; \
   36   sane_makeflags=$$MAKEFLAGS; \
   37   if $(am__is_gnu_make); then \
   38     sane_makeflags=$$MFLAGS; \
   39   else \
   40     case $$MAKEFLAGS in \
   41       *\\[\ \	]*) \
   42         bs=\\; \
   43         sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
   44           | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
   45     esac; \
   46   fi; \
   47   skip_next=no; \
   48   strip_trailopt () \
   49   { \
   50     flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
   51   }; \
   52   for flg in $$sane_makeflags; do \
   53     test $$skip_next = yes && { skip_next=no; continue; }; \
   54     case $$flg in \
   55       *=*|--*) continue;; \
   56         -*I) strip_trailopt 'I'; skip_next=yes;; \
   57       -*I?*) strip_trailopt 'I';; \
   58         -*O) strip_trailopt 'O'; skip_next=yes;; \
   59       -*O?*) strip_trailopt 'O';; \
   60         -*l) strip_trailopt 'l'; skip_next=yes;; \
   61       -*l?*) strip_trailopt 'l';; \
   62       -[dEDm]) skip_next=yes;; \
   63       -[JT]) skip_next=yes;; \
   64     esac; \
   65     case $$flg in \
   66       *$$target_option*) has_opt=yes; break;; \
   67     esac; \
   68   done; \
   69   test $$has_opt = yes
   70 am__make_dryrun = (target_option=n; $(am__make_running_with_option))
   71 am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
   72 pkgdatadir = $(datadir)/@PACKAGE@
   73 pkgincludedir = $(includedir)/@PACKAGE@
   74 pkglibdir = $(libdir)/@PACKAGE@
   75 pkglibexecdir = $(libexecdir)/@PACKAGE@
   76 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
   77 install_sh_DATA = $(install_sh) -c -m 644
   78 install_sh_PROGRAM = $(install_sh) -c
   79 install_sh_SCRIPT = $(install_sh) -c
   80 INSTALL_HEADER = $(INSTALL_DATA)
   81 transform = $(program_transform_name)
   82 NORMAL_INSTALL = :
   83 PRE_INSTALL = :
   84 POST_INSTALL = :
   85 NORMAL_UNINSTALL = :
   86 PRE_UNINSTALL = :
   87 POST_UNINSTALL = :
   88 build_triplet = @build@
   89 host_triplet = @host@
   90 @ENABLE_DOC_BUILD_TRUE@am__append_1 = doc.tbz2
   91 subdir = doc
   92 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
   93 am__aclocal_m4_deps = $(top_srcdir)/m4/ax_append_compile_flags.m4 \
   94 	$(top_srcdir)/m4/ax_append_flag.m4 \
   95 	$(top_srcdir)/m4/ax_append_link_flags.m4 \
   96 	$(top_srcdir)/m4/ax_check_compile_flag.m4 \
   97 	$(top_srcdir)/m4/ax_check_link_flag.m4 \
   98 	$(top_srcdir)/m4/ax_compute_relative_paths.m4 \
   99 	$(top_srcdir)/m4/ax_lib_socket_nsl.m4 \
  100 	$(top_srcdir)/m4/ax_normalize_path.m4 \
  101 	$(top_srcdir)/m4/ax_prefix_config_h.m4 \
  102 	$(top_srcdir)/m4/ax_pthread.m4 \
  103 	$(top_srcdir)/m4/ax_python_embed.m4 \
  104 	$(top_srcdir)/m4/ccluster-check.m4 \
  105 	$(top_srcdir)/m4/cpu-check.m4 $(top_srcdir)/m4/dbm-check.m4 \
  106 	$(top_srcdir)/m4/default_checking_path.m4 \
  107 	$(top_srcdir)/m4/flags.m4 $(top_srcdir)/m4/flint-check.m4 \
  108 	$(top_srcdir)/m4/gfanlib-check.m4 \
  109 	$(top_srcdir)/m4/gmp-check.m4 \
  110 	$(top_srcdir)/m4/google-perftools.m4 \
  111 	$(top_srcdir)/m4/libtool.m4 $(top_srcdir)/m4/ltoptions.m4 \
  112 	$(top_srcdir)/m4/ltsugar.m4 $(top_srcdir)/m4/ltversion.m4 \
  113 	$(top_srcdir)/m4/lt~obsolete.m4 \
  114 	$(top_srcdir)/m4/mathic-check.m4 $(top_srcdir)/m4/ntl-check.m4 \
  115 	$(top_srcdir)/m4/options.m4 $(top_srcdir)/m4/p-procs.m4 \
  116 	$(top_srcdir)/m4/readline-check.m4 \
  117 	$(top_srcdir)/m4/win-flags.m4 $(top_srcdir)/configure.ac
  118 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
  119 	$(ACLOCAL_M4)
  120 DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
  121 mkinstalldirs = $(install_sh) -d
  122 CONFIG_HEADER = $(top_builddir)/_config.h
  123 CONFIG_CLEAN_FILES = Makefile-docbuild version.texi pyobject.doc \
  124 	cones.doc
  125 CONFIG_CLEAN_VPATH_FILES =
  126 AM_V_P = $(am__v_P_@AM_V@)
  127 am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
  128 am__v_P_0 = false
  129 am__v_P_1 = :
  130 AM_V_GEN = $(am__v_GEN_@AM_V@)
  131 am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
  132 am__v_GEN_0 = @echo "  GEN     " $@;
  133 am__v_GEN_1 = 
  134 AM_V_at = $(am__v_at_@AM_V@)
  135 am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
  136 am__v_at_0 = @
  137 am__v_at_1 = 
  138 SOURCES =
  139 DIST_SOURCES =
  140 am__can_run_installinfo = \
  141   case $$AM_UPDATE_INFO_DIR in \
  142     n|no|NO) false;; \
  143     *) (install-info --version) >/dev/null 2>&1;; \
  144   esac
  145 am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
  146 am__DIST_COMMON = $(srcdir)/Makefile-docbuild.in $(srcdir)/Makefile.in \
  147 	$(srcdir)/cones.no.doc $(srcdir)/version.texi.in texinfo.tex
  148 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
  149 ACLOCAL = @ACLOCAL@
  150 AMTAR = @AMTAR@
  151 AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
  152 AR = @AR@
  153 AS = @AS@
  154 AUTOCONF = @AUTOCONF@
  155 AUTOHEADER = @AUTOHEADER@
  156 AUTOMAKE = @AUTOMAKE@
  157 AWK = @AWK@
  158 BERTINI = @BERTINI@
  159 BUILTIN_LIBS = @BUILTIN_LIBS@
  160 BUILTIN_MODULES = @BUILTIN_MODULES@
  161 CC = @CC@
  162 CCDEPMODE = @CCDEPMODE@
  163 CCLUSTER_CPPFLAGS = @CCLUSTER_CPPFLAGS@
  164 CCLUSTER_LIBS = @CCLUSTER_LIBS@
  165 CDDGMPCPPFLAGS = @CDDGMPCPPFLAGS@
  166 CDDGMPLDFLAGS = @CDDGMPLDFLAGS@
  167 CFLAGS = @CFLAGS@
  168 CPP = @CPP@
  169 CPPFLAGS = @CPPFLAGS@
  170 CXX = @CXX@
  171 CXXCPP = @CXXCPP@
  172 CXXDEPMODE = @CXXDEPMODE@
  173 CXXFLAGS = @CXXFLAGS@
  174 CYGPATH_W = @CYGPATH_W@
  175 DATA_DIR = @DATA_DIR@
  176 DEFS = @DEFS@
  177 DEPDIR = @DEPDIR@
  178 DLLTOOL = @DLLTOOL@
  179 DOC2TEX_EXAMPLE_EXCLUSIONS = @DOC2TEX_EXAMPLE_EXCLUSIONS@
  180 DOT = @DOT@
  181 DOXYGEN = @DOXYGEN@
  182 DSYMUTIL = @DSYMUTIL@
  183 DUMPBIN = @DUMPBIN@
  184 DVIPS = @DVIPS@
  185 ECHO_C = @ECHO_C@
  186 ECHO_N = @ECHO_N@
  187 ECHO_T = @ECHO_T@
  188 EGREP = @EGREP@
  189 EXEEXT = @EXEEXT@
  190 FACTORY_INCLUDES = @FACTORY_INCLUDES@
  191 FACTORY_LIBS = @FACTORY_LIBS@
  192 FEXCEPTIONSFRTTI_CXXFLAGS = @FEXCEPTIONSFRTTI_CXXFLAGS@
  193 FGREP = @FGREP@
  194 FLINT_CFLAGS = @FLINT_CFLAGS@
  195 FLINT_HOME = @FLINT_HOME@
  196 FLINT_LIBS = @FLINT_LIBS@
  197 FOURTITWO_GRAVER = @FOURTITWO_GRAVER@
  198 FOURTITWO_HILBERT = @FOURTITWO_HILBERT@
  199 FOURTITWO_MARKOV = @FOURTITWO_MARKOV@
  200 GFAN = @GFAN@
  201 GFAN_TROPICALBASIS = @GFAN_TROPICALBASIS@
  202 GMP_CPPFLAGS = @GMP_CPPFLAGS@
  203 GMP_LIBS = @GMP_LIBS@
  204 GREP = @GREP@
  205 INSTALL = @INSTALL@
  206 INSTALL_DATA = @INSTALL_DATA@
  207 INSTALL_PROGRAM = @INSTALL_PROGRAM@
  208 INSTALL_SCRIPT = @INSTALL_SCRIPT@
  209 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
  210 LD = @LD@
  211 LDFLAGS = @LDFLAGS@
  212 LIBOBJS = @LIBOBJS@
  213 LIBS = @LIBS@
  214 LIBTOOL = @LIBTOOL@
  215 LIPO = @LIPO@
  216 LN_S = @LN_S@
  217 LRCALC = @LRCALC@
  218 LTLIBOBJS = @LTLIBOBJS@
  219 LT_SYS_LIBRARY_PATH = @LT_SYS_LIBRARY_PATH@
  220 MAINT = @MAINT@
  221 MAKEINFO = @MAKEINFO@
  222 MANIFEST_TOOL = @MANIFEST_TOOL@
  223 MATHIC_LIBS = @MATHIC_LIBS@
  224 MKDIR_P = @MKDIR_P@
  225 NM = @NM@
  226 NMEDIT = @NMEDIT@
  227 NORMALIZ = @NORMALIZ@
  228 NTL_CPPFLAGS = @NTL_CPPFLAGS@
  229 NTL_LIBS = @NTL_LIBS@
  230 OBJDUMP = @OBJDUMP@
  231 OBJEXT = @OBJEXT@
  232 OMALLOC_INCLUDES = @OMALLOC_INCLUDES@
  233 OMALLOC_LIBS = @OMALLOC_LIBS@
  234 OTOOL = @OTOOL@
  235 OTOOL64 = @OTOOL64@
  236 PACKAGE = @PACKAGE@
  237 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
  238 PACKAGE_NAME = @PACKAGE_NAME@
  239 PACKAGE_STRING = @PACKAGE_STRING@
  240 PACKAGE_TARNAME = @PACKAGE_TARNAME@
  241 PACKAGE_URL = @PACKAGE_URL@
  242 PACKAGE_VERSION = @PACKAGE_VERSION@
  243 PATH_SEPARATOR = @PATH_SEPARATOR@
  244 PKG_REQUIRE = @PKG_REQUIRE@
  245 PTHREAD_CC = @PTHREAD_CC@
  246 PTHREAD_CFLAGS = @PTHREAD_CFLAGS@
  247 PTHREAD_LDFLAGS = @PTHREAD_LDFLAGS@
  248 PTHREAD_LIBS = @PTHREAD_LIBS@
  249 PYTHON = @PYTHON@
  250 PYTHON_CSPEC = @PYTHON_CSPEC@
  251 PYTHON_EXECPREFIX = @PYTHON_EXECPREFIX@
  252 PYTHON_LSPEC = @PYTHON_LSPEC@
  253 PYTHON_PREFIX = @PYTHON_PREFIX@
  254 QEPCAD = @QEPCAD@
  255 RANLIB = @RANLIB@
  256 RESOURCES_INCLUDES = @RESOURCES_INCLUDES@
  257 RESOURCES_LIBS = @RESOURCES_LIBS@
  258 SED = @SED@
  259 SET_MAKE = @SET_MAKE@
  260 SHELL = @SHELL@
  261 SINGULAR_CFLAGS = @SINGULAR_CFLAGS@
  262 SINGULAR_LDFLAGS = @SINGULAR_LDFLAGS@
  263 SI_COUNTEDREF_AUTOLOAD = @SI_COUNTEDREF_AUTOLOAD@
  264 SI_CPU_I386 = @SI_CPU_I386@
  265 SI_CPU_IA64 = @SI_CPU_IA64@
  266 SI_CPU_PPC = @SI_CPU_PPC@
  267 SI_CPU_SPARC = @SI_CPU_SPARC@
  268 SI_CPU_X86_64 = @SI_CPU_X86_64@
  269 STRIP = @STRIP@
  270 SURF = @SURF@
  271 TEXI2PDF = @TEXI2PDF@
  272 TEXINDEX = @TEXINDEX@
  273 TOPCOM = @TOPCOM@
  274 USEPPROCSDYNAMICLD = @USEPPROCSDYNAMICLD@
  275 USEPPROCSDYNAMICLDFLAGS = @USEPPROCSDYNAMICLDFLAGS@
  276 VERSION = @VERSION@
  277 VERSION_DATE = @VERSION_DATE@
  278 abs_builddir = @abs_builddir@
  279 abs_srcdir = @abs_srcdir@
  280 abs_top_builddir = @abs_top_builddir@
  281 abs_top_srcdir = @abs_top_srcdir@
  282 ac_ct_AR = @ac_ct_AR@
  283 ac_ct_CC = @ac_ct_CC@
  284 ac_ct_CXX = @ac_ct_CXX@
  285 ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
  286 am__include = @am__include@
  287 am__leading_dot = @am__leading_dot@
  288 am__quote = @am__quote@
  289 am__tar = @am__tar@
  290 am__untar = @am__untar@
  291 ax_pthread_config = @ax_pthread_config@
  292 bindir = @bindir@
  293 build = @build@
  294 build_alias = @build_alias@
  295 build_cpu = @build_cpu@
  296 build_os = @build_os@
  297 build_vendor = @build_vendor@
  298 builddir = @builddir@
  299 datadir = @datadir@
  300 datarootdir = @datarootdir@
  301 docdir = @docdir@
  302 dvidir = @dvidir@
  303 exec_prefix = @exec_prefix@
  304 host = @host@
  305 host_alias = @host_alias@
  306 host_cpu = @host_cpu@
  307 host_os = @host_os@
  308 host_vendor = @host_vendor@
  309 htmldir = @htmldir@
  310 includedir = @includedir@
  311 infodir = @infodir@
  312 install_sh = @install_sh@
  313 libdir = @libdir@
  314 libexecdir = @libexecdir@
  315 localedir = @localedir@
  316 localstatedir = @localstatedir@
  317 mandir = @mandir@
  318 mkdir_p = @mkdir_p@
  319 oldincludedir = @oldincludedir@
  320 optional_Singular_programs = @optional_Singular_programs@
  321 pdfdir = @pdfdir@
  322 prefix = @prefix@
  323 program_transform_name = @program_transform_name@
  324 psdir = @psdir@
  325 runstatedir = @runstatedir@
  326 sbindir = @sbindir@
  327 sharedstatedir = @sharedstatedir@
  328 srcdir = @srcdir@
  329 subdirs = @subdirs@
  330 sysconfdir = @sysconfdir@
  331 target_alias = @target_alias@
  332 top_build_prefix = @top_build_prefix@
  333 top_builddir = @top_builddir@
  334 top_srcdir = @top_srcdir@
  335 
  336 # Docbuild scripts
  337 
  338 # Text
  339 
  340 # .doc files
  341 
  342 # Vendored copies
  343 
  344 # Other
  345 EXTRA_DIST = Makefile-docbuild.in version.texi.in help.cnf doc2idx.pl \
  346 	doc2tex.pl pl2doc.pl Building-Singular-from-source.md \
  347 	C-STYLEGUIDE.md C_CPP_StyleGuide.md Development-model.md \
  348 	How-To-Contribute.md Porting-instructions.md \
  349 	external-packages-dynamic-modules.md build_standards \
  350 	dir_structure DEPENDENCIES HOWTO-libsingular HOWTO.ispell \
  351 	STYLEGUIDE cones.no.doc cones.yes.doc countedref.doc \
  352 	decodegb.doc examples.doc general.doc letterplace.doc math.doc \
  353 	pdata.doc platform.doc plulibs.doc plural.doc pyobject.no.doc \
  354 	pyobject.yes.doc reference.doc sca.doc singular.doc start.doc \
  355 	ti_ip.doc tricks.doc types.doc texi2html texinfo.tex \
  356 	COPYING.texi Includes.dot Makefile-docbuild.in \
  357 	Makefile.lib2doc NEWS.texi bad_lib0.lib \
  358 	changes_in_singular4.texi elementsInTermsOfGeneratorsG25.sing \
  359 	images/Mybg.gif.uu images/a_begin.gif.uu \
  360 	images/a_begin_na.gif.uu images/a_document.gif.uu \
  361 	images/a_document_na.gif.uu images/a_empty.gif.uu \
  362 	images/a_end.gif.uu images/a_end_na.gif.uu \
  363 	images/a_help.gif.uu images/a_help_na.gif.uu \
  364 	images/a_index.gif.uu images/a_index_na.gif.uu \
  365 	images/a_left.gif.uu images/a_left_na.gif.uu \
  366 	images/a_leftdouble.gif.uu images/a_leftdouble_na.gif.uu \
  367 	images/a_page.gif.uu images/a_page_na.gif.uu \
  368 	images/a_right.gif.uu images/a_right_na.gif.uu \
  369 	images/a_rightdouble.gif.uu images/a_rightdouble_na.gif.uu \
  370 	images/a_search.gif.uu images/a_search_na.gif.uu \
  371 	images/a_searchdoc.gif.uu images/a_searchdoc_na.gif.uu \
  372 	images/a_tableofcon.gif.uu images/a_tableofcon_na.gif.uu \
  373 	images/a_top.gif.uu images/a_top_na.gif.uu images/a_up.gif.uu \
  374 	images/a_up_na.gif.uu images/bg.jpg.uu images/bg_left.gif.uu \
  375 	images/bg_right.gif.uu images/blue_dir.gif.uu \
  376 	images/blue_down.gif.uu images/blue_grab.gif.uu \
  377 	images/blue_help.gif.uu images/blue_next.gif.uu \
  378 	images/blue_nnext.gif.uu images/blue_pprev.gif.uu \
  379 	images/blue_prev.gif.uu images/blue_readme.gif.uu \
  380 	images/blue_top.gif.uu images/blue_up.gif.uu \
  381 	images/blue_uup.gif.uu images/contents_motif.gif.uu \
  382 	images/index_motif.gif.uu images/invisible.xbm.uu \
  383 	images/letterplace.jpg.uu images/next_motif.gif.uu \
  384 	images/next_motif_gr.gif.uu images/plural-2.jpg.uu \
  385 	images/plural.jpg.uu images/previous_motif.gif.uu \
  386 	images/previous_motif_gr.gif.uu images/sca.jpg.uu \
  387 	images/singular-1.jpg.uu images/singular-2.jpg.uu \
  388 	images/singular-3.jpg.uu \
  389 	images/singular-icon-transparent.gif.uu \
  390 	images/singular-small.jpg.uu images/singular.jpg.uu \
  391 	images/spacer3.gif.uu images/xy_contents.gif.uu \
  392 	images/xy_foot.gif.uu images/xy_next.gif.uu \
  393 	images/xy_next_gr.gif.uu images/xy_nextsection.gif.uu \
  394 	images/xy_nextsection_gr.gif.uu images/xy_previous.gif.uu \
  395 	images/xy_previous_gr.gif.uu images/xy_previoussection.gif.uu \
  396 	images/xy_previoussection_gr.gif.uu images/xy_up.gif.uu \
  397 	images/xy_up_gr.gif.uu latex2html.init lib2doc.texi \
  398 	manual-titlepage.tex memory/OMALLOC.texi orbits.gp \
  399 	orbitsG25.gp sample.lib sample_lib0.lib simple-make \
  400 	simplexOrbitRepresentativesG25.sing \
  401 	simplexSymmetryGroupG25.sing singcard.tex singular.dic \
  402 	singular.dot singular_toc.html t2h_singular.init \
  403 	t2h_standalone.init tutor-titlepage.tex tutor.tex usercard.tex \
  404 	version.texi.in $(am__append_1)
  405 all: all-am
  406 
  407 .SUFFIXES:
  408 $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am  $(am__configure_deps)
  409 	@for dep in $?; do \
  410 	  case '$(am__configure_deps)' in \
  411 	    *$$dep*) \
  412 	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
  413 	        && { if test -f $@; then exit 0; else break; fi; }; \
  414 	      exit 1;; \
  415 	  esac; \
  416 	done; \
  417 	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign doc/Makefile'; \
  418 	$(am__cd) $(top_srcdir) && \
  419 	  $(AUTOMAKE) --foreign doc/Makefile
  420 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
  421 	@case '$?' in \
  422 	  *config.status*) \
  423 	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
  424 	  *) \
  425 	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles)'; \
  426 	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles);; \
  427 	esac;
  428 
  429 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
  430 	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
  431 
  432 $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
  433 	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
  434 $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
  435 	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
  436 $(am__aclocal_m4_deps):
  437 Makefile-docbuild: $(top_builddir)/config.status $(srcdir)/Makefile-docbuild.in
  438 	cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@
  439 version.texi: $(top_builddir)/config.status $(srcdir)/version.texi.in
  440 	cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@
  441 
  442 mostlyclean-libtool:
  443 	-rm -f *.lo
  444 
  445 clean-libtool:
  446 	-rm -rf .libs _libs
  447 tags TAGS:
  448 
  449 ctags CTAGS:
  450 
  451 cscope cscopelist:
  452 
  453 
  454 distdir: $(BUILT_SOURCES)
  455 	$(MAKE) $(AM_MAKEFLAGS) distdir-am
  456 
  457 distdir-am: $(DISTFILES)
  458 	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
  459 	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
  460 	list='$(DISTFILES)'; \
  461 	  dist_files=`for file in $$list; do echo $$file; done | \
  462 	  sed -e "s|^$$srcdirstrip/||;t" \
  463 	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
  464 	case $$dist_files in \
  465 	  */*) $(MKDIR_P) `echo "$$dist_files" | \
  466 			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
  467 			   sort -u` ;; \
  468 	esac; \
  469 	for file in $$dist_files; do \
  470 	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
  471 	  if test -d $$d/$$file; then \
  472 	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
  473 	    if test -d "$(distdir)/$$file"; then \
  474 	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
  475 	    fi; \
  476 	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
  477 	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
  478 	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
  479 	    fi; \
  480 	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
  481 	  else \
  482 	    test -f "$(distdir)/$$file" \
  483 	    || cp -p $$d/$$file "$(distdir)/$$file" \
  484 	    || exit 1; \
  485 	  fi; \
  486 	done
  487 	$(MAKE) $(AM_MAKEFLAGS) \
  488 	  top_distdir="$(top_distdir)" distdir="$(distdir)" \
  489 	  dist-hook
  490 check-am: all-am
  491 check: check-am
  492 all-am: Makefile all-local
  493 installdirs:
  494 install: install-am
  495 install-exec: install-exec-am
  496 install-data: install-data-am
  497 uninstall: uninstall-am
  498 
  499 install-am: all-am
  500 	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
  501 
  502 installcheck: installcheck-am
  503 install-strip:
  504 	if test -z '$(STRIP)'; then \
  505 	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
  506 	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
  507 	      install; \
  508 	else \
  509 	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
  510 	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
  511 	    "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
  512 	fi
  513 mostlyclean-generic:
  514 
  515 clean-generic:
  516 
  517 distclean-generic:
  518 	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
  519 	-test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
  520 
  521 maintainer-clean-generic:
  522 	@echo "This command is intended for maintainers to use"
  523 	@echo "it deletes files that may require special tools to rebuild."
  524 clean: clean-am
  525 
  526 clean-am: clean-generic clean-libtool clean-local mostlyclean-am
  527 
  528 distclean: distclean-am
  529 	-rm -f Makefile
  530 distclean-am: clean-am distclean-generic
  531 
  532 dvi: dvi-am
  533 
  534 dvi-am:
  535 
  536 html: html-am
  537 
  538 html-am:
  539 
  540 info: info-am
  541 
  542 info-am:
  543 
  544 install-data-am:
  545 
  546 install-dvi: install-dvi-am
  547 
  548 install-dvi-am:
  549 
  550 install-exec-am:
  551 
  552 install-html: install-html-am
  553 
  554 install-html-am:
  555 
  556 install-info: install-info-am
  557 
  558 install-info-am:
  559 
  560 install-man:
  561 
  562 install-pdf: install-pdf-am
  563 
  564 install-pdf-am:
  565 
  566 install-ps: install-ps-am
  567 
  568 install-ps-am:
  569 
  570 installcheck-am:
  571 
  572 maintainer-clean: maintainer-clean-am
  573 	-rm -f Makefile
  574 maintainer-clean-am: distclean-am maintainer-clean-generic
  575 
  576 mostlyclean: mostlyclean-am
  577 
  578 mostlyclean-am: mostlyclean-generic mostlyclean-libtool
  579 
  580 pdf: pdf-am
  581 
  582 pdf-am:
  583 
  584 ps: ps-am
  585 
  586 ps-am:
  587 
  588 uninstall-am:
  589 
  590 .MAKE: install-am install-strip
  591 
  592 .PHONY: all all-am all-local check check-am clean clean-generic \
  593 	clean-libtool clean-local cscopelist-am ctags-am dist-hook \
  594 	distclean distclean-generic distclean-libtool distdir dvi \
  595 	dvi-am html html-am info info-am install install-am \
  596 	install-data install-data-am install-dvi install-dvi-am \
  597 	install-exec install-exec-am install-html install-html-am \
  598 	install-info install-info-am install-man install-pdf \
  599 	install-pdf-am install-ps install-ps-am install-strip \
  600 	installcheck installcheck-am installdirs maintainer-clean \
  601 	maintainer-clean-generic mostlyclean mostlyclean-generic \
  602 	mostlyclean-libtool pdf pdf-am ps ps-am tags-am uninstall \
  603 	uninstall-am
  604 
  605 .PRECIOUS: Makefile
  606 
  607 
  608 clean-local:
  609 	/bin/rm -rf examples d2t_singular singular.tex manual.tex
  610 	/bin/rm -f .singular_hist doe.tmp dump.ascii example.mp example.txt
  611 	/bin/rm -f save_i test.ascii test.mp
  612 	/bin/rm -f Z* *.tst *.pag *.dir *.lst *.log *.aux *.cp *.cps
  613 	/bin/rm -f *.fn *.fns *.ky *.kys *.log *.pg *.pgs *.toc *.tp
  614 	/bin/rm -f *.tps *.vr *.vrs *.dvi *.ps
  615 	/bin/rm -f s-plural.tex s-plulibs.tex s-letterplace.tex
  616 	/bin/rm -f singular.hlp manual.hlp singular.idx
  617 	/bin/rm -rf html
  618 	/bin/rm -f cones.tex countedref.tex decodegb.tex
  619 	/bin/rm -f examples.tex general.tex ti_ip.tex math.tex reference.tex
  620 	/bin/rm -f start.tex types.tex pdata.tex tricks.tex platform.tex
  621 	/bin/rm -f plural.tex letterplace.tex plulibs.tex sca.tex pyobject.tex
  622 
  623 all-local:
  624 	$(MAKE) -j1 -f Makefile-docbuild all
  625 
  626 singular.hlp:
  627 	$(MAKE) -j1 -f Makefile-docbuild $@
  628 @ENABLE_DOC_BUILD_TRUE@doc.tbz2:
  629 @ENABLE_DOC_BUILD_TRUE@	$(MAKE) -j1 -f Makefile-docbuild singular.hlp html
  630 @ENABLE_DOC_BUILD_TRUE@	chmod -R a+rX singular.hlp html
  631 @ENABLE_DOC_BUILD_TRUE@	$(AMTAR) jcf $@ singular.hlp html
  632 @ENABLE_DOC_BUILD_TRUE@dist-hook:
  633 @ENABLE_DOC_BUILD_TRUE@	@if [ -n "$(DOC2TEX_EXAMPLE_EXCLUSIONS)" ]; then					\
  634 @ENABLE_DOC_BUILD_TRUE@	  echo >&2 "#######################################################################";	\
  635 @ENABLE_DOC_BUILD_TRUE@	  echo >&2 "WARNING: This distribution will ship a version of the documentation";	\
  636 @ENABLE_DOC_BUILD_TRUE@	  echo >&2 "that excludes some modules because of missing optional libraries:";		\
  637 @ENABLE_DOC_BUILD_TRUE@	  echo >&2 "DOC2TEX_EXAMPLE_EXCLUSIONS = $(DOC2TEX_EXAMPLE_EXCLUSIONS)";		\
  638 @ENABLE_DOC_BUILD_TRUE@	  echo >&2 "#######################################################################";   \
  639 @ENABLE_DOC_BUILD_TRUE@        fi
  640 @ENABLE_DOC_BUILD_FALSE@dist-hook:
  641 @ENABLE_DOC_BUILD_FALSE@	@echo >&2 "#######################################################################"
  642 @ENABLE_DOC_BUILD_FALSE@	@echo >&2 "WARNING: This distribution will not contain the Singular documentation."
  643 @ENABLE_DOC_BUILD_FALSE@	@echo >&2 "Use 'configure --enable-doc-build' to build and ship the documentation."
  644 @ENABLE_DOC_BUILD_FALSE@	@echo >&2 "#######################################################################"
  645 
  646 # Tell versions [3.59,3.63) of GNU make to not export all variables.
  647 # Otherwise a system limit (for SysV at least) may be exceeded.
  648 .NOEXPORT: